#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define uname kdev-php
%define rel 1

Name:           kdevelop-php
Version: 25.04.2
Release:        %mkrel %{rel}
Summary:        PHP plugin for kdevelop
Group:          Development/PHP
License:        GPLv2+
Url:            https://www.kdevelop.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{uname}-%{version}.tar.xz
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)

BuildRequires:  cmake(KDevelop-PG-Qt)
BuildRequires:  cmake(KDevPlatform)

Requires:       kdevelop >= %{version}

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%{_kf6_categoriesdir}/kdevphpsupport.categories
%{_kf6_datadir}/kdevappwizard/templates/simple_phpapp.tar.bz2
%{_kf6_datadir}/kdevphpsupport/
%{_kf6_metainfodir}/org.kde.kdev-php.metainfo.xml
%{_kf6_libdir}/libkdevphpcompletion.so
%{_kf6_libdir}/libkdevphpduchain.so
%{_kf6_libdir}/libkdevphpparser.so
%{_qt6_plugindir}/kdevplatform/6?/kdevphp*.so

#--------------------------------------------------------------------

%package devel
Summary:        Development files for %{name}
Group:          Development/PHP
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%{_includedir}/kdev-php/
%{_kf6_libdir}/cmake/KDevPHP/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kdevphp --all-name


%changelog
* Sat Jun 07 2025 daviddavid <daviddavid> 25.04.2-1.mga10
+ Revision: 2189448
- New version 25.04.2

* Fri Apr 18 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2176530
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170932
- New version 25.03.90

* Sat Mar 15 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2164190
- New version 24.12.3

* Wed Feb 12 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147753
- New version 24.12.2

* Sat Jan 11 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2137468
- New version 24.12.1

* Fri Dec 13 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2124412
- New version 24.12.0

* Mon Nov 18 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2117516
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114240
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105694
- New version 24.08.2

* Thu Sep 19 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2098790
- New version 24.08.1

* Fri Aug 23 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2089362
- New version 24.08.0

* Mon Aug 12 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2086325
- New version 24.07.90
- switch to Qt6/KF6

* Sat Jun 15 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2074122
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071727
- New version 24.05.0

* Fri Apr 19 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2059670
- New version 24.02.2
- New version 24.02.0
- New version 24.01.95
- New version 24.01.90
- New version 24.01.85
- New version 24.01.75

* Mon Sep 25 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1990667
- New version 23.08.1

* Mon May 29 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959589
- New version 23.04.1

* Sat Mar 04 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1947516
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941910
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923033
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913192
- New version 22.11.90

* Sat Nov 12 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1906509
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1887286
- New version 22.08.1
- New version 22.08.1

* Tue Aug 30 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882373
- New version 22.08.0

* Tue Aug 02 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1874308
- New version 22.04.3

* Wed May 11 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1857565
- New version 22.04.0
- New version 22.04.0

* Sat Apr 23 2022 neoclust <neoclust> 22.03.90-2.mga9
+ Revision: 1852880
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846172
- Mageia 9 Mass Rebuild

* Sat Jan 01 2022 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1766070
- New version 21.12.0

* Fri Mar 05 2021 daviddavid <daviddavid> 5.6.2-2.mga9
+ Revision: 1699505
- update BRs, remove no more needed kdelibs4support

* Sat Feb 27 2021 daviddavid <daviddavid> 5.6.2-1.mga9
+ Revision: 1692586
- new version: 5.6.2

* Thu Dec 17 2020 umeabot <umeabot> 5.6.1-2.mga8
+ Revision: 1658683
- Rebuild for new Qt5

* Wed Dec 09 2020 daviddavid <daviddavid> 5.6.1-1.mga8
+ Revision: 1654945
- new version: 5.6.1

* Thu Sep 17 2020 daviddavid <daviddavid> 5.6.0-1.mga8
+ Revision: 1627241
- new version: 5.6.0

* Fri Jun 19 2020 daviddavid <daviddavid> 5.5.2-1.mga8
+ Revision: 1597054
- new version: 5.5.2

* Thu May 28 2020 daviddavid <daviddavid> 5.5.1-2.mga8
+ Revision: 1588470
- switch appdata file to kf5_metainfo dir

* Wed May 06 2020 daviddavid <daviddavid> 5.5.1-1.mga8
+ Revision: 1580968
- new version: 5.5.1

* Wed Feb 19 2020 umeabot <umeabot> 5.5.0-2.mga8
+ Revision: 1542858
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.5.0-1.mga8
+ Revision: 1490700
- new version: 5.5.0

* Tue Jan 07 2020 daviddavid <daviddavid> 5.4.6-1.mga8
+ Revision: 1477148
- new version: 5.4.6
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 daviddavid <daviddavid> 5.4.5-1.mga8
+ Revision: 1466192
- new version: 5.4.5

* Thu Nov 07 2019 daviddavid <daviddavid> 5.4.4-1.mga8
+ Revision: 1458625
- new version: 5.4.4

* Sat Oct 26 2019 daviddavid <daviddavid> 5.4.3-1.mga8
+ Revision: 1455833
- new version: 5.4.3

* Tue Sep 03 2019 daviddavid <daviddavid> 5.4.2-1.mga8
+ Revision: 1436637
- new version: 5.4.2

* Tue Aug 20 2019 daviddavid <daviddavid> 5.4.1-1.mga8
+ Revision: 1430476
- new version: 5.4.1

* Mon Jul 22 2019 daviddavid <daviddavid> 5.3.3-1.mga8
+ Revision: 1423388
- new version: 5.3.3

* Sat Mar 30 2019 umeabot <umeabot> 5.3.2-2.mga7
+ Revision: 1382279
- Qt5 Rebuild

* Sun Mar 10 2019 daviddavid <daviddavid> 5.3.2-1.mga7
+ Revision: 1373661
- new version: 5.3.2

* Fri Dec 07 2018 daviddavid <daviddavid> 5.3.1-1.mga7
+ Revision: 1338813
- new version: 5.3.1

* Thu Nov 01 2018 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1327080
- new version: 5.3.0

* Sun Sep 23 2018 umeabot <umeabot> 5.2.4-2.mga7
+ Revision: 1298504
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 daviddavid <daviddavid> 5.2.4-1.mga7
+ Revision: 1253236
- new version: 5.2.4

* Tue May 22 2018 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1231332
- new version: 5.2.3

* Sun Feb 04 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1198936
- new version: 5.2.1

* Sat Jun 03 2017 akien <akien> 5.1.1-1.mga7
+ Revision: 1106375
- Version 5.1.1

* Thu May 25 2017 neoclust <neoclust> 5.1.0-2.mga6
+ Revision: 1104506
- Rebuild for arm

* Wed May 24 2017 neoclust <neoclust> 5.1.0-1.mga6
+ Revision: 1104474
- new version 5.1.0
- New version 5.0.4

* Sat Dec 31 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078768
- new version 5.0.3

* Thu Sep 22 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1055136
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048977
- new version: 5.0.0 final

* Thu Jan 28 2016 fwang <fwang> 4.90.91-1.mga6
+ Revision: 928316
- 4.90.91

* Thu Oct 29 2015 fwang <fwang> 4.90.90-2.mga6
+ Revision: 896383
- fix obsoletes

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896368
- rename pkg
- update file list
- 4.90.90
- rename to kdevelop-php

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814627
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 748255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681014
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668567
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666748
- 1.6.90
+ colin <colin>
- Fix revision to proper number

* Tue Dec 10 2013 colin <colin> 1.6.0-0.1.mga4
+ Revision: 556198
- New version: 1.6.0

* Mon Nov 18 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 551712
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 525530
- Mageia 4 Mass Rebuild

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433530
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425755
- update file list
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 313219
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 307075
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 1.3.90-1.mga3
+ Revision: 292133
- new verison 1.3.90

* Sat Aug 04 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 278382
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230834
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222973
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214285
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208707
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200320
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 1.2.3-1.mga2
+ Revision: 113683
- Update tarball to 1.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Fri May 13 2011 mikala <mikala> 1.2.2-1.mga1
+ Revision: 97845
- Remove BuildRoot
- imported package kdevelop4-php

